Local Community

Error creating new sites with missing Local.php

Screenshot from 2020-03-05 09-54-48
I’m running Ubuntu 18.04.4 and I’m getting the error message attached when I try to create a local site

1 Like

Hey @simbro, Welcome to the Local Community Forums!

It looks like the error in the message window is different than what was happening in the other thread, so I moved this reply to its own topic.

From the screenshot, it looks like the specific issue is this:

Error: Required file 'local.php' doesn't exist (from project's wp-cli.yml).

What version of Local is installed? Also, did you already have wp-cli installed on the system, or any other custom settings for WPCLI?

Hi Ben
I actually uninstalled Local as it wasn’t working - but I’ll reinstall the latest version and report back.
I don’t have wp-cli installed but I have had it in the past, so will check if there are any custom settings still active.
Cheers
Sim

Chased down those old wp-cli settings and it all works now. Cheers!

1 Like

This topic was automatically closed 36 hours after the last reply. New replies are no longer allowed.